import axios from 'axios';
import { useRole } from './useRole';

export async function useAdvancedSummary(model, id, roles = ['hr']) {
    if (useRole().hasAny(roles)) {
        const { data } = await axios.get(`${model}/advancedSummary`, {
            params: { filter: { where: { id } } },
        });
        return Array.isArray(data) ? data[0] : data;
    }
}
